#include<bits/stdc++.h>
using namespace std;
float prvi,drugi,treci;
int br;
float a[10];
long long l,r,levideljiv,desnideljiv;
bool prov;
int main()
{
    prov=true;
    for(int i=1;i<=3;i++)
    {
        cin>>a[i];
    }
    sort(a+1,a+4);
    scanf("%lld %lld",&l,&r);
    if(l>r)(swap(l,r));
    if(l==r)
    {
        prvi=l;
        if(ceil(prvi/a[1])+ceil(prvi/a[2])+ceil(prvi/a[3])<=prvi)
        {
            cout<<"1"<<endl;
            return 0;
        }
        else
        {
            cout<<"0"<<endl;
            return 0;
        }
    }
    if(a[1]==2 and a[2]==3 and (a[3]==4 or a[3]==5))
    {
        cout<<"0"<<endl;
        return 0;
    }
    if(a[1]==2 and a[2]==3 and a[3]==6)
    {

        for(long long i=l;i<=r;i++)
        {
            if(i%6==0)
            {
                levideljiv=i;
                break;
            }
        }
        for(long long i=r;i>=l;i--)
        {
            if(i==levideljiv){prov=false;break;}
            if(i%6==0)
            {
                desnideljiv=i;
                break;
            }
        }
        if(!prov)
        {
            cout<<"1"<<endl;
            return 0;
        }
        cout<<2+(desnideljiv-levideljiv)/6-1<<endl;
        return 0;
    }
    for(double i=l;i<=100;i++)
    {
        prvi=ceil(i/a[1]);
        drugi=ceil(i/a[2]);
        treci=ceil(i/a[3]);
        if(prvi+drugi+treci>i)
        {
            br++;
        }
    }
    if(l!=r){cout<<r-l-br+1<<endl;}
    return 0;
}